package com.example.controller;

import com.example.service.SubordinateService;
import com.example.utils.CommonResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName ZJYYController
 * @Description 湛江医院接口
 * @Author linjj
 * @Date 2025/4/8 10:33
 * @Version 1.0
 */
@RestController
@RequestMapping("/subordinate")
@Api(value = "湛江医院处理消息接口", tags = "湛江医院处理消息接口")
@Slf4j
public class SubordinateController {
    @Autowired
    private SubordinateService subordinateService;
    @PostMapping("/againTask")
    @ApiOperation("重新采集文件下载器任务接口")
    @ResponseBody
    public CommonResult<?> AgainTask() {
        return subordinateService.CompensateTask();
    }

}
