package com.example.db.dao;

import com.example.vo.MessageSubordinateVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName MessageSubordinateDao
 * @Description MessageSubordinate接口
 * @Author linjj
 * @Date 2025/4/8 11:02
 * @Version 1.0
 */
@Mapper
public interface MessageSubordinateDao {
    /**
    * @Author: linjj
    * @Description:  查询需要重新采集的消息体
    * @DateTime: 2025/4/8 11:04
    * @Params: []
    * @Return java.util.List<com.example.vo.MessageSubordinateVo>
    */
    List<MessageSubordinateVo> getMessageSubordinate(Integer status);
    /**
    * @Author: linjj
    * @Description: 修改文件状态
    * @DateTime: 2025/4/8 16:18
    * @Params: [status]
    * @Return java.lang.Boolean
    */
    Boolean updateStatus(@Param("status")Integer status, @Param("id")String id);
}
