package com.example.utils;


public enum ExceptionCode {
    /**
     * 服务器开小差了，请稍后再试
     */
    WRONG_PARAMS("参数不对", 1001);


    private final String message;
    private final Integer code;

    ExceptionCode(String message, int code) {
        this.message = message;
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public Integer getCode() {
        return code;
    }
}
